import { configureStore } from '@reduxjs/toolkit'
import { UserSlice } from './slices/User-slice'
export const store = configureStore({
  reducer: {
    [UserSlice.reducerPath]: UserSlice.reducer,
  },
  middleware: (getDefaultMiddleware) =>
    getDefaultMiddleware().concat(UserSlice.middleware),
})
